<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Utils\DatamodulHelper\Kurse;

class DozentenKurse extends KursHelper
{
  private $dnr;

  public function __construct($toolSettings, $user, $dnr)
  {
    parent::__construct($toolSettings, $user);
    $this->dnr = $dnr;
  }

  
  protected function getKursnummern($dbwKurse): array
  {
    $notShowAbgeschlosseneKurse = (isset($this->toolSettings->notShowAbgeschlosseneKurse) && !empty($this->toolSettings->notShowAbgeschlosseneKurse));
    $keineKurseOhneVertragsfreigabe = (isset($this->toolSettings->keineKurseOhneFreigegebenemVertrag) && $this->toolSettings->keineKurseOhneFreigegebenemVertrag);

    return $dbwKurse->getKursNummernbyDozentNR($this->dnr, $notShowAbgeschlosseneKurse, $keineKurseOhneVertragsfreigabe);
  }

  protected function setzeEinstellungen($dbwKurse)
  {
    $dbwKurse = parent::setzeEinstellungen($dbwKurse);
    $dbwKurse->beratungstageKurseAusblenden = false;

    return $dbwKurse;
  }

  protected function getDnrLoggedInDozent(): ?int
  {
    return $this->dnr;
  }
}